Get Org Sub Orgs

Get Org Sub Orgs
Get all organization's sub-orgs.

Use this API instead:

  • /cloudapi/1.0.0/orgs

Returns all sub organizations for the passed Org ID. The user needs to be either organization owner or a platform operator in order to get a result.

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member
Service Account (Whitelisted Client)
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/orgs/{orgId}/sub-orgs
COPY
Path Parameters
string
orgId
Required

orgId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "results": [
        {
            "name": "string",
            "displayName": "string",
            "metadata": {
                "metadata": "string"
            },
            "id": "string",
            "refLink": "string",
            "parentRefLink": "string"
        }
    ],
    "nextLink": "string",
    "prevLink": "string",
    "totalResults": 0
}

401

The user is not authorized to use the API.

{
    "results": [
        {
            "name": "string",
            "displayName": "string",
            "metadata": {
                "metadata": "string"
            },
            "id": "string",
            "refLink": "string",
            "parentRefLink": "string"
        }
    ],
    "nextLink": "string",
    "prevLink": "string",
    "totalResults": 0
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/orgs/{orgId}/sub-orgs